# SOHKD

**S**imple **O**dilia **H**ot**K**ey **D**aemon

*A next-generation hotkey daemon for Wayland/X11 written in Rust.*

sohkd is a display protocol-independent hotkey daemon made in Rust (based off the original, [swhkd](https://waycrate.github.io/swhkd/)). sohkd uses an easy-to-use configuration system inspired by swhkd so you can easily add or remove hotkeys, and it integrates with the [Odilia screen reader](https://odilia.app) to provide modal access to key bindings.

Because sohkd can be used anywhere, the same sohkd config can be used across Xorg or Wayland desktops, and you can even use sohkd in a tty.

**Note: The project is a WIP.**

**BUT!! It does work right now [Example config file](./docs/sohkdrc).**

## Installation

See [INSTALL.md](./docs/INSTALL.md) for installing sohkd.

## Running:
```bash
sohks &
sohkd
```
To refresh the config at runtime, make a script like so:

```bash
#!/bin/sh
killall sohkd
sohkd
```

Mark it as executable using `chmod +x <path_to_refresh_script>`.

Then call it using `setsid -f <path_to_refresh_script>`. 

A better implementation using signals will be developed later.

## Contributors:

Original developers:

* Shinyzenith `<aakashsensharma@gmail.com>`
* Angelo Fallaria `<ba.fallaria@gmail.com>`
* EdenQwQ `<lsahlm1eden@gmail.com>`

Adapters:

* Tait Hoyem `<tait@tait.tech>`
